Do I have to upgrade from OS X Tiger to Lion via Leopard to get the latest iTunes and sync my iPhone?

pete August 7, 2011
Pinterest Stumbleupon Whatsapp

I am currently running Mac OS X 10.4.11 (Tiger) and can’t run the latest iTunes to sync my iPhone4. Do I need to purchase the Leopard operating system and then migrate to Lion?

  1. Mike
    August 7, 2011 at 5:08 pm

    iPhone 4 requires at least iTunes 10 or later, depending on the iOS version.
    To get the newest version of iTunes you need Mac OS X 10.5.8 ~ so Leopard should be enough to sync your iPhone 4. As for upgrading to Lion you will need at least Mac OS X 10.6.6 (which introduced the App Store) to be able to download and install 10.7